# Visualization
TKService
Aspect

# Aspect_ColorMapEntry Class Reference

This class defines a colormap entry.
A colormap entry is an association between
a RGB object and a index in the colormap.
.

`#include <Aspect_ColorMapEntry.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Aspect_ColorMapEntry ()
| Creates an unallocated colormap entry .
Standard_EXPORT | Aspect_ColorMapEntry (const Standard_Integer index, const Quantity_Color &rgb)
| Creates an allocated colormap entry .
Standard_EXPORT | Aspect_ColorMapEntry (const Aspect_ColorMapEntry &entry)
| Creates an allocated colormap entry. Warning: Raises error if the colormap entry <entry> is unallocated. .
Standard_EXPORT void | SetValue (const Standard_Integer index, const Quantity_Color &rgb)
| Sets colormap entry value and allocates it. .
Standard_EXPORT void | SetValue (const Aspect_ColorMapEntry &entry)
| Sets colormap entry value and allocates it. .
void | operator= (const Aspect_ColorMapEntry &entry)
Standard_EXPORT void | SetColor (const Quantity_Color &rgb)
| Sets color <rgb> of colormap entry. .
Standard_EXPORT const Quantity_Color & | Color () const
Standard_EXPORT void | SetIndex (const Standard_Integer index)
| Sets index value of a colormap entry. .
Standard_EXPORT Standard_Integer | Index () const
Standard_EXPORT void | Free ()
| Unallocates the colormap entry. .
Standard_EXPORT Standard_Boolean | IsAllocated () const
| Returns True if the colormap entry is allocated. Warning: A colormap entry is allocated when the color and the index is defined. .
Standard_EXPORT void | Dump () const
Standard_Boolean | _CSFDB_GetAspect_ColorMapEntryallocated () const
void | _CSFDB_SetAspect_ColorMapEntryallocated (const Standard_Boolean p)
const Quantity_Color & | _CSFDB_GetAspect_ColorMapEntrymycolor () const
Standard_Integer | _CSFDB_GetAspect_ColorMapEntrymyindex () const
void | _CSFDB_SetAspect_ColorMapEntrymyindex (const Standard_Integer p)
Standard_Boolean | _CSFDB_GetAspect_ColorMapEntrymyColorIsDef () const
void | _CSFDB_SetAspect_ColorMapEntrymyColorIsDef (const Standard_Boolean p)
Standard_Boolean | _CSFDB_GetAspect_ColorMapEntrymyIndexIsDef () const
void | _CSFDB_SetAspect_ColorMapEntrymyIndexIsDef (const Standard_Boolean p)

## Private Attributes

Standard_Boolean | allocated
Quantity_Color | mycolor
Standard_Integer | myindex
Standard_Boolean | myColorIsDef
Standard_Boolean | myIndexIsDef

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Aspect_ColorMapEntry_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_ColorMapEntry::Aspect_ColorMapEntry | ( |  | ) |

Standard_EXPORT Aspect_ColorMapEntry::Aspect_ColorMapEntry | ( | const Standard_Integer | index,
|  | const Quantity_Color & | rgb
| ) |

Standard_EXPORT Aspect_ColorMapEntry::Aspect_ColorMapEntry | ( | const Aspect_ColorMapEntry & | entry | ) |

## Member Function Documentation

Standard_Boolean Aspect_ColorMapEntry::_CSFDB_GetAspect_ColorMapEntryallocated | ( |  | ) | const`[inline]`

const Quantity_Color& Aspect_ColorMapEntry::_CSFDB_GetAspect_ColorMapEntrymycolor | ( |  | ) | const`[inline]`

Standard_Boolean Aspect_ColorMapEntry::_CSFDB_GetAspect_ColorMapEntrymyColorIsDef | ( |  | ) | const`[inline]`

Standard_Integer Aspect_ColorMapEntry::_CSFDB_GetAspect_ColorMapEntrymyindex | ( |  | ) | const`[inline]`

Standard_Boolean Aspect_ColorMapEntry::_CSFDB_GetAspect_ColorMapEntrymyIndexIsDef | ( |  | ) | const`[inline]`

void Aspect_ColorMapEntry::_CSFDB_SetAspect_ColorMapEntryallocated | ( | const Standard_Boolean | p | ) | `[inline]`

void Aspect_ColorMapEntry::_CSFDB_SetAspect_ColorMapEntrymyColorIsDef | ( | const Standard_Boolean | p | ) | `[inline]`

void Aspect_ColorMapEntry::_CSFDB_SetAspect_ColorMapEntrymyindex | ( | const Standard_Integer | p | ) | `[inline]`

void Aspect_ColorMapEntry::_CSFDB_SetAspect_ColorMapEntrymyIndexIsDef | ( | const Standard_Boolean | p | ) | `[inline]`

Standard_EXPORT const Quantity_Color& Aspect_ColorMapEntry::Color | ( |  | ) | const

Standard_EXPORT void Aspect_ColorMapEntry::Dump | ( |  | ) | const

Standard_EXPORT void Aspect_ColorMapEntry::Free | ( |  | ) |

Standard_EXPORT Standard_Integer Aspect_ColorMapEntry::Index | ( |  | ) | const

Standard_EXPORT Standard_Boolean Aspect_ColorMapEntry::IsAllocated | ( |  | ) | const

void Aspect_ColorMapEntry::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect_ColorMapEntry::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect_ColorMapEntry::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Aspect_ColorMapEntry::operator= | ( | const Aspect_ColorMapEntry & | entry | ) | `[inline]`

Standard_EXPORT void Aspect_ColorMapEntry::SetColor | ( | const Quantity_Color & | rgb | ) |

Standard_EXPORT void Aspect_ColorMapEntry::SetIndex | ( | const Standard_Integer | index | ) |

Standard_EXPORT void Aspect_ColorMapEntry::SetValue | ( | const Aspect_ColorMapEntry & | entry | ) |

Standard_EXPORT void Aspect_ColorMapEntry::SetValue | ( | const Standard_Integer | index,
|  | const Quantity_Color & | rgb
| ) |

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Aspect_ColorMapEntry_Type_ | ( |  | ) | `[friend]`

## Field Documentation

Standard_Boolean Aspect_ColorMapEntry::allocated `[private]`

Quantity_Color Aspect_ColorMapEntry::mycolor `[private]`

Standard_Boolean Aspect_ColorMapEntry::myColorIsDef `[private]`

Standard_Integer Aspect_ColorMapEntry::myindex `[private]`

Standard_Boolean Aspect_ColorMapEntry::myIndexIsDef `[private]`

The documentation for this class was generated from the following file:

- Aspect_ColorMapEntry.hxx